<%@ page contentType="text/html; charset=GBK" %>
<%@ page import="java.io.*,java.text.*,java.util.*,java.sql.*,DBstep.iDBManager2000.*" %>
<%@ include file="/sessionInfo.jsp"%>
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
<script language=javascript>
function Check(){
	if (webform.MarkName.value == ""){
		alert("请输入印签名.");
		webform.MarkName.focus();
		return false;
	}
	if (webform.PassWord.value != webform.PassWord2.value) {
		alert("密码不一致");
		webform.PassWord.focus();
		return false;
	}
	if (webform.MarkFile.value == "") {
		alert("签章图片不能为空");
		webform.MarkFile.focus();
		return false;
	}
	webform.submit();
}
</Script>
</head>
<%
	String sId = "";
  String sName = "";
  String sType = SzConvert.toZeroStr(request.getParameter("type"));
  String sTypeDesc = "";
	if (sType.equals("1")) {
		//个人
		sId = "" + iDLID_SESSION;
		sName = sDLXM_SESSION;
		sTypeDesc = "个人印章，上传的人调用自己的印章，不需要密码";
	} else {
		sTypeDesc = "公共印章，大家都能调用，需要密码";
	}
%>
<body bgcolor="#ffffff">
<% if (!sType.equals("1")) {%>
<%@ include file="/share/weboffice/title.jsp"%>
<% } else { %>
<%@ include file="title.jsp"%>
<% } %>
<table width="100%">
  <tr>
    <td>
      <%=SzPageHelp.button("保存","javascript:Check();")%>
      <%=SzPageHelp.backButton()%>
    </td>
  </tr>
</table>
<form name="webform" method="post" enctype="multipart/form-data" action="SignatureAdd.jsp?type=<%=sType %>" onsubmit="return Check(this)">
    <input type="hidden" name="UserName" size="50" maxlength="32" readonly class="IptStyle" value="<%=sId %>">
<table width="750" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="3" cellspacing="0">

<tr>
  <td nowrap align=center class="TDTitleStyle" width=164>印章类型</td>
  <td class="TDStyle" width="90%">
    <%=sTypeDesc%>
  </td>
</tr>

<tr>
  <td nowrap align=center class="TDTitleStyle" width=164>签章密码</td>
  <td class="TDStyle" width="90%"><input type="password" name="PassWord" size="50" maxlength="32" class="IptStyle" value=""></td>
</tr>
<tr>
  <td nowrap align=center class="TDTitleStyle" width=164>确认签章密码</td>
  <td class="TDStyle" width="90%"><input type="password" name="PassWord2" size="50" maxlength="32" class="IptStyle" value=""></td>
</tr>
<tr>
  <td nowrap align=center class="TDTitleStyle" width=164>签章名称</td>
  <td class="TDStyle" width="90%"><input type="text" name="MarkName" size="50" maxlength="32" class="IptStyle" value=""></td>
</tr>
<tr>
  <td nowrap align=center class="TDTitleStyle" width=164>签章文件</td>
  <td class="TDStyle"><input type="file" name="MarkFile" size="50" maxlength="60" class="IptStyle" >
   <font color='red'>(bmp图片)</font>
  </td>
</tr>
</table>
</form>
</body>
</html>
